Package org.apache.calcite.avatica

# Class Meta.ConnectionHandle

java.lang.Object
org.apache.calcite.avatica.Meta.ConnectionHandle

Enclosing interface:
  Meta

public static class Meta.ConnectionHandle extends Object
Connection handle.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`id`

## Constructor Summary

Constructors
Constructor
Description
`ConnectionHandle(String id)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public final String id

## Constructor Details

### ConnectionHandle

public ConnectionHandle(String id)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`